package com.trade.admin.system.utils;

import com.github.pagehelper.PageHelper;
import com.trade.common.core.page.PageDomain;
import com.trade.common.core.page.TableSupport;
import com.trade.common.sql.SqlUtil;

/**
 * 分页工具类
 * 
 * @author wl
 */
public class PageUtils extends PageHelper {

    /**
     * 设置请求分页数据
     */
    public static void startPage() {
        PageDomain pageDomain = TableSupport.buildPageRequest();
        Integer pageNum = pageDomain.getPage();
        Integer pageSize = pageDomain.getRows();
        String orderBy = SqlUtil.escapeOrderBySql(pageDomain.getOrderBy());
        Boolean reasonable = pageDomain.getReasonable();
        PageHelper.startPage(pageNum, pageSize, orderBy).setReasonable(reasonable);
    }

    /**
     * 清理分页的线程变量
     */
    public static void clearPage() {
        PageHelper.clearPage();
    }
}
